# GpgFrontend Project: src/ui/dialog/keypair_details/KeyUIDSignDialog.h Source File

KeyUIDSignDialog.h
#ifndef GPGFRONTEND_KEYUIDSIGNDIALOG_H
#define GPGFRONTEND_KEYUIDSIGNDIALOG_H
#include "core/GpgContext.h"
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/GeneralDialog.h"
#include "ui/widgets/KeyList.h"
namespace GpgFrontend::UI {
class KeyUIDSignDialog : public GeneralDialog {
Q_OBJECT
public:
explicit KeyUIDSignDialog(const GpgKey& key, UIDArgsListPtr uid,
QWidget* parent = nullptr);
signals:
void SignalKeyUIDSignUpdate();
private:
KeyList* m_key_list_;
QPushButton* sign_key_button_;
QDateTimeEdit* expires_edit_;
QCheckBox* non_expire_check_;
UIDArgsListPtr m_uids_;
const GpgKey& m_key_;
private slots:
void slot_sign_key(bool clicked);
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_KEYUIDSIGNDIALOG_H
GpgFrontend::GpgKey
Definition: GpgKey.h:43
GpgFrontend::UI::GeneralDialog
Definition: GeneralDialog.h:35
GpgFrontend::UI::KeyList
Definition: KeyList.h:152
GpgFrontend::UI::KeyUIDSignDialog
Definition: KeyUIDSignDialog.h:37
GpgFrontend::UI::KeyUIDSignDialog::slot_sign_key
void slot_sign_key(bool clicked)
Definition: KeyUIDSignDialog.cpp:106
GpgFrontend::UI::KeyUIDSignDialog::KeyUIDSignDialog
KeyUIDSignDialog(const GpgKey &key, UIDArgsListPtr uid, QWidget *parent=nullptr)
Construct a new Key U I D Sign Dialog object.
Definition: KeyUIDSignDialog.cpp:35
GpgFrontend::UI
Definition: FileReadTask.cpp:29